﻿using Assets.Scripts.MapGeneration;
using Assets.Scripts.Utils;
using UnityEngine;

namespace Assets.Scripts
{
    public class GameController : MonoBehaviour
    {
        public static int PoolSize = 256;

        private Map _map;

        private ObjectPool _pooledWalls;
        private ObjectPool _pooledActors;
        private ObjectPool _pooledProjectiles;

        private CellularAutomaton _ca;

        void Start()
        {
            _map = new Map(128, 128);

            _pooledActors = new ObjectPool(PoolSize);
            _pooledProjectiles = new ObjectPool(PoolSize);
            _pooledWalls = new ObjectPool(PoolSize);

            _ca = new CellularAutomaton(_map, TileType.Wall);


        }

        void Update()
        {
            _ca.Step();
        }
    }
}